%global momorel 3

Name:           perl-Gtk2-Notify
Version:        0.04
Release:        %{momorel}m%{?dist}
Summary:        Gtk2::Notify Perl module
License:        LGPL
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Gtk2-Notify/

Source0: http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Gtk2-Notify-%{version}.tar.gz
NoSource: 0

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-Glib >= 1.093, perl-Gtk2
BuildRequires:  perl-ExtUtils-Depends, perl-ExtUtils-PkgConfig
BuildRequires:  libnotify-devel
Requires:	perl-Gtk2

# for tests...
%{?_with_display_tests:BuildRequires:  perl(Test::Pod::Coverage) >= 1.04, perl(Test::Pod) >= 1.14}

# libnotify-devel seems to be missing this.  see BZ#216946
BuildRequires:  gtk2-devel

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl bindings to libnotify.  This module will allow one to use the notify
functionality from within a perl application.

%prep
%setup -q -n Gtk2-Notify-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

# !!FIXME!! please remove this workaround when upstream solves this issue
sed --in-place=.workaround~ 's,-e "\(add.*\)",-e '\''\1'\'',g' Makefile

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{__chmod} -Rf a+rX,u+w,g-w,o-w %{buildroot}/*
%{__chmod} 755 examples

%check
# tests all bomb under mock, unfortunately
%{?_with_display_tests: make test}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes maps README examples/
%{perl_vendorarch}/auto/Gtk2/*
%{perl_vendorarch}/Gtk2/*
%{_mandir}/man3/*

%changelog
* Thu Apr 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.04-3m)
- add workaround to fix build failure

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.04-2m)
- rebuild against gcc43

* Fri Oct  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-1m)
- update to 0.04
- do not use %%NoSource macro

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-1m)
- update to 0.03

* Mon May 28 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.02-5m)
- fix doc/examples permission

* Tue Apr 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.02-4m)
- fix files dup

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.02-3m)
- use vendor

* Sat Mar 24 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.02-2m)
- modify requires and buildrequires

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.02-1m)
- import to Momonga from Fedora Development


* Mon Nov 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.02-4
- bump

* Mon Nov 27 2006 Chris Weyl <cweyl@alumni.drew.edu>
- change source0 to pull from an alternate CPAN location

* Wed Nov 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.02-2
- conditionalize tests as they tend to die horribly under mock

* Wed Nov 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.02-1
- Specfile autogenerated by cpanspec 1.69.1.
